## net.dontdrinkandroot.cache
Class CacheException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              net.dontdrinkandroot.cache.CacheException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  CheckSumNotMatchingException

    public class CacheException

extends Exception

Exception that denotes that something went wrong while accessing the cache (while storing, retrieving or constructing). Although this exception must be caught most applications can simply ignore this exception as caching is not meant to be a reliable storage, still this might lead to significant and undetected performance issues, so at least some kind of logging should be implemented.

Author:
  Philip W. Sorst <philip@sorst.net>
See Also:
  Serialized Form

Constructor Summary
`CacheException()`
`CacheException(String msg)`
`CacheException(String msg, Throwable t)`
`CacheException(Throwable t)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CacheException

    public CacheException()

### CacheException

    public CacheException(String msg)

### CacheException

    public CacheException(Throwable t)

### CacheException

    public CacheException(String msg,
                          Throwable t)

Copyright © 2013 dontdrinkandroot. All Rights Reserved.